cPanel-ის სერვერებზე PHP ვერსიის შეცვლა ბეჭდვა

  • 312

ჰოსტინგის სერვერებზე PHP-ის ვერსიებთან დაკავშირებული პრობლემების თავიდან ასაცილებლად ჩვენ ჰოსტინგ სერვერებზე ერთროულად დაკონფიგურირებული ყველა არსებული PHP-ის ვერსია და გაქვთ დამატებითი ინსტრუმენტები cPanel-ში სასურველი ვერსიის დასაყენებლად.

ამ მომენტში გთავაზობთ 2 სხვადასხვა ინსტრუმენტს სასურველი PHP-ის ვერსიის დასაყენებლად ოდნავ განსხვავებული ფუნქცინალით.

ქვემოთ სურათზე ნაჩვენებია ინსტრუმენტები cPanel-ის ინტერფეისში რაც საშუალებას გაძლევთ PHP-ის ვერსიების და პარამეტრების მართვის.

cPanel Interface


MultiPHP Manager (1)

cPanel-ის ინსტრუმენტი PHP-ის ვერსიების სამართავად, საშუალებას გაძლევთ ინდივიდუალურად, ანგარიშში კონკრეტული საიტისთვის აირჩიოთ სასურველი PHP-ის ვერსია. ასევე MultiPHP გთავაზობთ PHP-ის ყველა პარამეტრის ხელით კონფიგურაციის საშუალებას.

PHP Selector (Select PHP Version) (2)

CloudLinux-ის ინსტრუმენტი, გთავაზობთ გაცილებით უფრო დიდ PHP ვერსიების არჩევანს და შესაძლებლობას აირჩიოთ სასურველი PHP მოდულები. PHP-ის პარამეტრების რედაქტირება შეძღუდულია რამოდენიმე ძირითადი პარამეტრამდე.

MultiPHP INI Editor (3)

დამატებითი ინსტრუმენტი PHP-ის პარამეტრების სამართავად თუ იყენებთ MultiPHP-ს.

რადგან ერთდოულად cPanel-ში ორი სხვადასხვა ინსტრუმენტი გაქვთ PHP-ის ვერსიის და პარამეტრების სამართავად, გაითვალისწინეთ რომ MultiPHP აქვს უფრო მაღალი პრიორიტეტი ვიდრე PHP Selector-ს, ანუ თუ ორივე ინსტრუმენტში რაიმე კონფიგურაციას შეცვლით, საიტზე რეალურად იმუშავებს მხოლოდ MultiPHP-ში გაკეთებული კონფიგურაციები.

MultiPHP Manager-ში სასურველი ვერსიის არჩევა

გახსენით MultiPHP Manager-ი, ინტერფეისში ხედავთ:


MultiPHP Manager Interface
  1. არსებული საიტების ჩამონათვალს (MultiPHP Manager-ი იძლევა საშუალებას კონკრეტული საიტისთვის შეცვალოთ/დააყენოთ PHP-ის სასურველი ვერსია)
  2. PHP ვერსიების ჩამონათვალი რომელიც შეგიძლიათ დააყენოთ
  3. სისტემის სტანდარტული PHP-ის ვერსია (თუ არანაირი ცვლილება არ გაქვთ აკეთებული ეს ვერსია იქნება თქვენს საიტზე)
თუ ჩამონათვალში (1) რომელიმე საიტს PHP Version-ში უწერია inherit ეს ნიშნავს რომ ეს საიტი იყენებს cPanel-ის სტანდარტულ ვერსიას (ვერსია არ არის შეცვლილი)

კონკრეტულ საიტზე რაიმე სხვა ვერსიის ასარჩევად:

  • მონიშნეთ საიტი სიიდან (1)
  • მონიშნეთ სასურველი PHP-ის ვერსია სიაში (2) და დააჭირეთ Apply ღილაკს
ქვემოთ სურათზე ნაჩვენებია ერთერთი საიტი რომელსაც PHP-ის ვერსია 5.5 აქვს კონფიგურირებული.

MultiPHP Manager With Selected PHP Version

Select PHP Version-იდან სასურველი ვერსიის არჩევა

PHP Selector-ი გაძლევთ შესაძლებლობას აირჩიოთ სასურველი PHP-ის ვერსია და ასევე სასურველი მოდულები.

PHP Selector Interface

გაითვალისწინეთ რომ MultiPHP-ს აქვს უფრო მაღალი პრიორიტეტი ვიდრე PHP Selector-ს და ამ ინტერფეისში მონიშვნული ცვლილეები იმუშავებს მხოლოდ იმ შემთხვევაში თუ MultiPHP Manager-ში არანაირი ცვლილება არ გაქვთ გაკეთებული (MultiPHP Manager-ში უნდა იყოს მითითებული Inherit)

ასევე გაითვალისწინეთ რომ PHP Selector-იდან ვერსიის ცვლილება ხდება მთლიანად ანგარიშზე და არა კონკრეტულ საიტზე ანგარიშში.

ვერსიის შეცვლისთვის:
  • ჩამოსაშლელ სიაში აირჩიეთ სასურველი ვერსია
  • დააჭირეთ ღილაკს Set as current
  • შეამოწმეთ რომ Current PHP Version-ში შეიცვალა ვერსია და სასურველი ვერსიაა ნაჩვენები.
სასურველი ვერსიის არჩევის შემდეგ შესაძლებლობა გექნება აირჩიო სასურველი PHP მოდულები ან PHP-ის პარამეტრები (წინასწარ განსაზღვული კონკრეტულ პარამეტრები მხოლოდ)

თუ PHP-ის ვერსიაში მონიშნავთ Native-ს, მაშინ ამუშავდება cPanel-ის სტანდარტული ვერსია და მოდულების და პარამეტრების რედაქტირების საშუალება ამ ინტერფეისიდან არ გექნება.

PHP Selector Configure PHP Modules

მოდულებსა და პარამეტრებს შორის გადართვა ხდება მარჯვენა ზედა კუთხეში გადამრთველით. (მითითებულია 2-ვე სურათზე)
PHP Selector Configure PHP Parameters


დაგეხმარა ეს სტატია?

« უკან დაბრუნება